Holger's Java API

## com.antelmann.webdav
Class WebdavClient

    java.lang.Object
      com.antelmann.webdav.WebdavClient

Direct Known Subclasses:
  CaldavClient, CarddavClient

    @ThirdParty(value="Apache Commons HttpClient (org.apache.http)")
    public class WebdavClient

extends Object

Since:
  25.10.2016, 16:19:44
Author:
  holger

Constructor Summary
`WebdavClient(URL url, String username, String password)`

Method Summary
`String` `getCharset()`
`String` `getPassword()`
`URL` `getUrl()`
`String` `getUrlContent(URL url)`
`String` `getUsername()`
`XmlHelper` `getXmlResponse(org.apache.http.HttpRequest request, URL url)`
`void` `initHttpConsoleLogging()`
`XmlHelper` `propfind(String requestXml)`
`XmlHelper` `report(String requestXml)`
`void` `setCharset(String charset)`
`void` `setPassword(String password)`
`protected void` `setUrl(URL url)`
`void` `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebdavClient

    public WebdavClient(URL url,
                        String username,
                        String password)

Method Detail

### getUrl

    public URL getUrl()

### setUrl

    protected void setUrl(URL url)

### getCharset

    public String getCharset()

### setCharset

    public void setCharset(String charset)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### initHttpConsoleLogging

    public void initHttpConsoleLogging()

### getUrlContent

    public String getUrlContent(URL url)
                         throws IOException

  Throws:
    `IOException`

### propfind

    public XmlHelper propfind(String requestXml)
                       throws IOException,
                              SAXException,
                              ParserConfigurationException,
                              URISyntaxException

  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`
    `URISyntaxException`

### report

    public XmlHelper report(String requestXml)
                     throws IOException,
                            SAXException,
                            ParserConfigurationException,
                            URISyntaxException

  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`
    `URISyntaxException`

### getXmlResponse

    public XmlHelper getXmlResponse(org.apache.http.HttpRequest request,
                                    URL url)
                             throws IOException,
                                    SAXException,
                                    ParserConfigurationException

  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads